@media only screen and (max-width: 1199px) {
  #screen_cases_block_cont {
    width: 940px !important;
  }
}  

@media only screen and (max-width: 991px) {
  #screen_cases_block_cont  {
    width: 720px !important;
  }
}  

@media only screen and (min-width:980px) and (max-width:1199px) {
    div[id^='screen_cases_block_content'] {
        width: 100%
    }
}

@media only screen and (min-width:980px) and (max-width:1024px) {
    #cases_block_mentor_socialmedia {
        text-align: left;
    }
}